Package org.eclipse.net4j.util

## Class Predicates.UniquePredicate<T>

- java.lang.Object
- - org.eclipse.net4j.util.Predicates.UniquePredicate<T>

- All Implemented Interfaces:
    `Predicate<T>`
  Enclosing class:
    Predicates

      public static final class Predicates.UniquePredicate<T>
      extends java.lang.Object
      implements Predicate<T>

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.Predicate

      `Predicate.DelegatingPredicate<T>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UniquePredicate()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `apply​(T element)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniquePredicate

          public UniquePredicate()

  - ### Method Detail

    - #### apply

          public boolean apply​(T element)

      Specified by:
        `apply` in interface `Predicate<T>`